Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82476 - Please package Regexxer
Summary: Please package Regexxer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL: http://regexxer.sourceforge.net/
Whiteboard:
Depends On: 82473
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-22 16:01 UTC by Ross Burton
Modified: 2014-03-17 02:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-22 21:38:23 UTC


Attachments (Terms of Use)

Description Ross Burton 2003-01-22 16:01:54 UTC
Regexxer is a very cool tool -- a GUI search/replace tool featuring Perl-style
regular expressions.

It will look at entire folders of files, finding regular expressions and doing
replacements, with a coloured graphical interface.

Comment 1 Havoc Pennington 2003-01-22 21:28:56 UTC
"has a GUI" does not mean "is a desktop application" ;-)

Use of the term "regex" (and need to type in regexes) pretty much excludes 
it from being a desktop feature, it's maybe a power user or admin tool.


Comment 2 Bill Nottingham 2003-01-22 21:38:23 UTC
At this point, probably not; it's a little too much of a niche utility to be
part of the base OS.

Comment 3 Murray Cumming 2003-01-23 23:08:47 UTC
It's not just for regexes. It can do regular search/replace in a very friendly
way, though maybe it should have a "is a regex" checkbox to avoid confusion when
using special characters.


Note You need to log in before you can comment on or make changes to this bug.